#
# spec file for package scim-tables (Version 0.5.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scim scim-devel sed sgml-skel skim strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scim-tables
BuildRequires:  gtk2-devel kdelibs3-devel scim-devel skim
Version:        0.5.6
Release:        17.2
License:        GPL
Group:          System/I18n/Chinese
URL:            http://www.scim-im.org/
Autoreqprov:    on
Provides:       locale(scim:zh)
# CVS repository:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co scim-tables
Source0:        http://switch.dl.sourceforge.net/sourceforge/scim/scim-tables-0.5.6.tar.bz2
Source1:        zh-tw-tables-20060125.tar.bz2
Patch0:         kanjidic-license-clarification.patch
Patch1:         skip.patch
Patch2:         build.patch
Patch3:         fix-include-hints.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Data Files for SCIM Generic Table Input Method Module

%description
Data files for SCIM generic table input method module.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%debug_package
%package zh
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}
Provides:       locale(scim-tables:zh)
Summary:        SCIM Chinese Data Files

%description zh
This package includes SCIM table IM data files in Chinese.

The data files come from UNICON and XCIN.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%package ja
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}
Provides:       locale(scim-tables:ja)
Summary:        SCIM Japanese Data Files

%description ja
This package includes the SCIM table IM data files in Japanese.

The data files come from UNICON.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%package ko
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}
Provides:       locale(scim-tables:ko)
Summary:        SCIM Korean Data Files

%description ko
This package includes SCIM table IM data files in Korean.

The data files come from UNICON.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%package additional
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}
Provides:       locale(scim-tables:am;ar;bn;gu;hi;kn;ml;ne;pa;ru;ta;te;th;vi)
Summary:        Data Files for SCIM Generic Table Input Method Module

%description additional
Input Method data for non-CJK languages, including Russian etc..



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%package -n scim-tables-skim
Summary:        skim setup module for scim-tables
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}
Provides:       locale(skim:zh)

%description -n scim-tables-skim
skim setup module for scim-tablesinput method module.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
#cp $RPM_SOURCE_DIR/SKIP.png icons
tar jxf %{S:1}

%build
#./bootstrap
#pushd skim/setupui
#    kconfig_compiler generictable.kcfg generictable.kcfgc
#popd
#libtoolize --force
#Trautoreconf --force --install --verbose
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --mandir=/usr/share/man \
            --enable-debug
make 

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/*.{a,la}
%find_lang scim-tables
%find_lang skim-scim-tables

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f scim-tables.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog THANKS
%doc %{_mandir}/man?/*
%{_bindir}/scim-make-table
%dir %{_libdir}/scim-1.0
%dir %{_libdir}/scim-1.0/IMEngine
%{_libdir}/scim-1.0/IMEngine/*
%dir %{_libdir}/scim-1.0/SetupUI/
%{_libdir}/scim-1.0/SetupUI/*
%{_datadir}/scim/icons/table.png

%files zh
%defattr(-, root, root)
%doc tables/zh/README-CangJie.txt
%doc tables/zh/README-Erbi.txt
%doc tables/zh/README-Wu.txt
%dir %{_datadir}/scim/
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Array30.bin
%{_datadir}/scim/tables/CangJie.bin
%{_datadir}/scim/tables/CangJie3.bin
%{_datadir}/scim/tables/CangJie5.bin
%{_datadir}/scim/tables/Cantonese.bin
%{_datadir}/scim/tables/CantonHK.bin
%{_datadir}/scim/tables/CNS11643.bin
%{_datadir}/scim/tables/Dayi3.bin
%{_datadir}/scim/tables/Erbi.bin
%{_datadir}/scim/tables/Erbi-QS.bin
%{_datadir}/scim/tables/EZ-Big.bin
%{_datadir}/scim/tables/Jyutping.bin
%{_datadir}/scim/tables/Quick.bin
%{_datadir}/scim/tables/Simplex.bin
%{_datadir}/scim/tables/Stroke5.bin
%{_datadir}/scim/tables/Wu.bin
%{_datadir}/scim/tables/Wubi.bin
%{_datadir}/scim/tables/ZhuYin.bin
%{_datadir}/scim/tables/ZhuYin-Big.bin
%{_datadir}/scim/tables/Ziranma.bin
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/Array30.png
%{_datadir}/scim/icons/CangJie.png
%{_datadir}/scim/icons/CangJie3.png
%{_datadir}/scim/icons/Cantonese.png
%{_datadir}/scim/icons/CantonHK.png
%{_datadir}/scim/icons/CNS11643.png
%{_datadir}/scim/icons/Dayi.png
%{_datadir}/scim/icons/EZ.png
%{_datadir}/scim/icons/Erbi-QS.png
%{_datadir}/scim/icons/Erbi.png
%{_datadir}/scim/icons/Jyutping.png
%{_datadir}/scim/icons/Quick.png
%{_datadir}/scim/icons/Simplex.png
%{_datadir}/scim/icons/Stroke5.png
%{_datadir}/scim/icons/Wu.png
%{_datadir}/scim/icons/Wubi.png
%{_datadir}/scim/icons/ZhuYin.png
%{_datadir}/scim/icons/Ziranma.png

%files ja
%defattr(-, root, root)
%doc ja/kanjidic*
%dir %{_datadir}/scim/
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/HIRAGANA.bin
%{_datadir}/scim/tables/KATAKANA.bin
%{_datadir}/scim/tables/Nippon.bin
#%{_datadir}/scim/tables/SKIP.bin
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/HIRAGANA.png
%{_datadir}/scim/icons/KATAKANA.png
%{_datadir}/scim/icons/Nippon.png
#%{_datadir}/scim/icons/SKIP.png

%files ko
%defattr(-, root, root)
%dir %{_datadir}/scim/
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Hangul.bin
%{_datadir}/scim/tables/Hanja.bin
%{_datadir}/scim/tables/HangulRomaja.bin
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/Hangul.png
%{_datadir}/scim/icons/Hanja.png
#%{_datadir}/scim/icons/HangulRomaja.png

%files additional
%defattr(-, root, root)
%dir %{_datadir}/scim/
%dir %{_datadir}/scim/tables
%{_datadir}/scim/tables/Amharic.bin
%{_datadir}/scim/tables/Arabic.bin
%{_datadir}/scim/tables/Nepali_Rom.bin
%{_datadir}/scim/tables/Nepali_Trad.bin
%{_datadir}/scim/tables/Yawerty.bin
%{_datadir}/scim/tables/Viqr.bin
%{_datadir}/scim/tables/IPA-X-SAMPA.bin
%{_datadir}/scim/tables/LaTeX.bin
%{_datadir}/scim/tables/Bengali-inscript.bin
%{_datadir}/scim/tables/Bengali-probhat.bin
%{_datadir}/scim/tables/Gujarati-inscript.bin
%{_datadir}/scim/tables/Gujarati-phonetic.bin
%{_datadir}/scim/tables/Hindi-inscript.bin
%{_datadir}/scim/tables/Hindi-phonetic.bin
%{_datadir}/scim/tables/Kannada-inscript.bin
%{_datadir}/scim/tables/Kannada-kgp.bin
%{_datadir}/scim/tables/Malayalam-inscript.bin
%{_datadir}/scim/tables/Punjabi-inscript.bin
%{_datadir}/scim/tables/Punjabi-jhelum.bin
%{_datadir}/scim/tables/Punjabi-phonetic.bin
%{_datadir}/scim/tables/Tamil-inscript.bin
%{_datadir}/scim/tables/Tamil-phonetic.bin
%{_datadir}/scim/tables/Telugu-inscript.bin
%{_datadir}/scim/tables/Thai.bin
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/Amharic.png
%{_datadir}/scim/icons/Arabic.png
%{_datadir}/scim/icons/Nepali.png
%{_datadir}/scim/icons/Yawerty.png
%{_datadir}/scim/icons/Viqr.png
%{_datadir}/scim/icons/IPA-X-SAMPA.png
%{_datadir}/scim/icons/LaTeX.png
%{_datadir}/scim/icons/Bengali-inscript.png
%{_datadir}/scim/icons/Bengali-probhat.png
%{_datadir}/scim/icons/Gujarati-inscript.png
%{_datadir}/scim/icons/Gujarati-phonetic.png
%{_datadir}/scim/icons/Hindi-inscript.png
%{_datadir}/scim/icons/Hindi-phonetic.png
%{_datadir}/scim/icons/Kannada-inscript.png
%{_datadir}/scim/icons/Kannada-kgp.png
%{_datadir}/scim/icons/Malayalam-inscript.png
%{_datadir}/scim/icons/Punjabi-inscript.png
%{_datadir}/scim/icons/Punjabi-jhelum.png
%{_datadir}/scim/icons/Punjabi-phonetic.png
%{_datadir}/scim/icons/Tamil-inscript.png
%{_datadir}/scim/icons/Tamil-phonetic.png
%{_datadir}/scim/icons/Telugu-inscript.png
%{_datadir}/scim/icons/Thai.png

%files -n scim-tables-skim -f skim-scim-tables.lang
%defattr(-, root, root)
%dir /opt/kde3/share/apps/skim/
/opt/kde3/share/apps/skim/*
/opt/kde3/share/config.kcfg/*
/opt/kde3/share/services/*
/opt/kde3/%{_lib}/kde3/*

%changelog -n scim-tables
* Wed Mar 15 2006 - mfabian@suse.de
- Bugzilla #158170: add "Provides: locale(skim:zh)" to
  scim-tables-skim sub-package.
* Tue Feb 28 2006 - zsu@suse.de
- bug #153791; use semicolon instead of comma to split locale list.
* Fri Feb 24 2006 - zsu@suse.de
- change Requires of scim-tables-{zh,ja,ko,additional} to %%{name} = %%{version}
- add Autoreqprov: on to scim-tables.
* Fri Feb 24 2006 - zsu@suse.de
- add Provides: locale(scim:zh) to scim-tables
- add Provides: locale(scim-tables:zh) to scim-tables-zh
- add Provides: locale(scim-tables:ja) to scim-tables-ja
- add Provides: locale(scim-tables:ko) to scim-tables-ko
- add Provides: locale(scim-tables:am,ar,bn,gu,hi,kn,ml,ne,pa,ru,ta,te,th,vi) to scim-tables-additional
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - zsu@suse.de
- Update CangJie, ZhuYin and ZhuYin-Big tables to the latest cvs
  head version.
* Fri Jan 13 2006 - mfabian@suse.de
- update to 0.5.6
* Wed Oct 12 2005 - stbinner@suse.de
- fix wrong include hints for compilation against Qt 3.3.5
* Fri Aug 12 2005 - mfabian@suse.de
- The setup plugin was not built. Omit the "autoreconf" to build
  the setup plugin as well. Thanks to LiuCougar.
* Fri Aug 12 2005 - mfabian@suse.de
- update to 0.5.3.
* Thu Aug 11 2005 - mfabian@suse.de
- update to 0.5.2.
* Thu Aug 04 2005 - mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Wed Jun 08 2005 - mfabian@suse.de
- update to 0.5.1.20050608.
  LaTeX and Wu input methods have been added.
- remove ipa-x-sampa.patch (now included).
* Fri Jun 03 2005 - mfabian@suse.de
- update to 0.5.1.20050603.
* Mon Apr 25 2005 - mfabian@suse.de
- update to 0.5.1.20050425.
- add IPA-X-SAMPA input method.
* Mon Feb 28 2005 - mfabian@suse.de
- update to 0.5.1.
* Tue Feb 15 2005 - mfabian@suse.de
- update to 0.5.0.20050215.
* Mon Jan 24 2005 - mfabian@suse.de
- update to 0.5.0.20050124.
* Mon Jan 10 2005 - mfabian@suse.de
- add gtk2-devel-packages to "# neededforbuild", without that the
  setup module is not built.
- add doc files.
* Mon Jan 10 2005 - mfabian@suse.de
- update to 0.5.0.20050110.
* Mon Dec 13 2004 - mfabian@suse.de
- Bugzilla #48811: include mail exchange with Jim Breen to
  the documentation. Professur Jim Breen gave explicit permission
  to use the Japanese readings from the KANJIDIC, KANJD212 and
  KANJDIDIC2 files for building data files for SCIM.
* Fri Sep 03 2004 - mfabian@suse.de
- update to 0.4.3.
* Fri Aug 20 2004 - mfabian@suse.de
- update to 0.4.2. Important update for Wubi.
* Fri Aug 13 2004 - mfabian@suse.de
- update to 0.4.1.
* Thu Aug 05 2004 - mfabian@suse.de
- update to 0.4.0.
* Wed Apr 28 2004 - mfabian@suse.de
- remove "BuildArch: noarch", the author Zhe Su <zsu@novell.com>
  says that the new version should be arch dependent because it
  now stores the memory image directly.
* Tue Apr 27 2004 - mfabian@suse.de
- update to 0.3.5.
* Fri Apr 02 2004 - mfabian@suse.de
- change URL of source file to it's current location.
* Thu Feb 26 2004 - mfabian@suse.de
- update to 0.3.2.
* Tue Dec 09 2003 - mfabian@suse.de
- update to 0.3.0.
- remove scim-server-table from neededforbuild (has been merged
  into main scim package.
- don't build as root.
* Fri Jul 04 2003 - mfabian@suse.de
- new package: version 0.2.2.
- adapt .spec file for SuSE.
* Wed Feb 26 2003 - James Su <suzhe@tsinghua.org.cn>
- updated table format according to SCIM 0.3.1.
* Mon Nov 04 2002 - James Su <suzhe@tsinghua.org.cn>
- Initial release.
